Subject: [Sigtran] [M3UA] ASP Active Ack message

From: ksrinivas <[email-masked]>
Date: Fri, 07 Feb 2003 15:43:40 +0530

Brian,

   In RFC 3332, Section 4.3.4.3 ASP Active Procedures, say the
following:

.....Multiple ASP Active Ack messages MAY be used in response to an ASP
Active message containing multiple Routing Contexts, allowing the SGP or
IPSP to independently acknowledge the ASP Active message for different
(sets of) Routing Contexts......

.....When the ASP sends an ASP Active message it starts timer T(ack).
If the ASP does not receive a response to an ASP Active message within
T(ack), the ASP MAY restart T(ack) and resend ASP Active messages until
it receives an ASP Active Ack message......

Can you please clarify my following doubt,

"As we can expect more than one ASP Active Ack messages for a single ASP
Active message", at what moment we can declare that we have received a
response and can cancel the T(ack) timer. (Is it after the first ASP
Active Ack or last ASP Active Ack?. Moreover unless we keep track of the
Routing Contexts we cannot say the last ASP Active Ack has arrived).

--Srini

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 04:00:17 -0700

Srini,

I see four obvious approaches:

1)  don't send multiple RC in ASPAC (you are not required to).

2)  start one T(ack) timer and resend an ASPAC with only those
    RC not acknowledged active at the time that T(ack) expires.
    Only stop timer when all RCs are acknowledged.

3)  start one T(ack) timer and resend the original ASPAC with
    all RCs if any RC not acknowledged.  (This will solicit
    ASPAC Ack for AS which are already active, but who cares?)
    Only stop timer when all RCs are acknowledged.

4)  start one T(ack) timer for each RC in the multiple RC
    ASPAC.  If any timer expires, resend indivitual ASPAC with
    only that RC.  Only stop each timer when each RC is
    acknowledged.

There are probably others.

I prefer (1).  It sounds like you will too.

--brian

ksrinivas wrote:                                                                 (Fri, 07 Feb 2003 15:43:40)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 04:07:41 -0700

Srini,

I should mention that the other reason I prefer (1) is that
(per option in 4.2.1) I send ASPAC and ASPAC Ack ordered on
the stream that will carry the DATA messages to avoid message
loss during activation.  As I usually send DATA for one RC on
a different stream than other RC, the only way to place each
ASPAC/Ack message on its own stream is by sending only one RC
in the ASPAC/Ack.

Because IMO messages containing RC (DATA/ASPTM/SSNM) should
always be sent on the stream upon which the DATA is sent, I see
little use in sending multiple RCs in any of those messages.

--brian

Brian F. G. Bidulock wrote:                                                      (Fri, 07 Feb 2003 04:00:17)

---

From: ksrinivas <[email-masked]>
Date: Fri, 07 Feb 2003 17:27:05 +0530

Srini,

    I feel the second approach is the better one. As we cannot send ASPAC without multiple RCs always.

--Srini

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 05:14:33 -0700

ksrinivas,

Alrighty then.

--brian

ksrinivas wrote:                                                                 (Fri, 07 Feb 2003 17:27:05)